SQ(1)

NAME
sq-key-expire - Change a certificate's expiration time

SYNOPSIS
sq key expire [OPTIONS]

DESCRIPTION
Change a certificate's expiration time.

This subcommand changes a certificate's expiration time. To change the expiration time of an individual subkey, use the `sq key subkey expire` subcommand.

OPTIONS

  Subcommand options

--cert=FINGERPRINT|KEYID
    Change the expiration of the key with the specified fingerprint or key ID

--cert-email=EMAIL
    Change the expiration of the key where a user ID includes the specified email address

--cert-file=PATH
    Change the expiration of the key read from PATH

--cert-userid=USERID
    Change the expiration of the key with the specified user ID

--expiration=EXPIRATION
    Sets the expiration time

    EXPIRATION is either an ISO 8601 formatted date with an optional time or a custom duration. A duration takes the form `N[ymwds]`, where the letters stand for years, months, weeks, days, and seconds, respectively. Alternatively, the keyword `never` does not set an expiration time.

    [default: never]

--output=FILE
    Write to FILE or stdout if omitted

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Change Alice's certificate to expire in a year.

    sq key expire --expiration 1y --cert \
        EB28F26E2739A4870ECC47726F0073F60FD0CBF0

Change Alice's certificate to never expire.

    sq key expire --expiration never --cert \
        EB28F26E2739A4870ECC47726F0073F60FD0CBF0

SEE ALSO
sq(1), sq-key(1).

For the full documentation see <https://book.sequoia-pgp.org/>.

VERSION
1.3.1